@echo off
rem  ###########################################################
rem  ##                    H E L P
rem  ##
rem  ## INSTALLATION:
rem  ## Extract the Folder "Script" to C:\opt\catia
rem  ##
rem  ## Start the StartScripts-v1.bat
rem  ##
rem  ## To set up the scripts to fit to Your environment,
rem  ## You have to change the values in the :COMMON and 
rem  ## :COMMON2 area.
rem  ## The environment file CATIA_Default.txt should not
rem  ## be changed for default installations.
rem  ##
rem  ## !!! Check the SCRIPTPATH and the CATIAPATH !!!
rem  ##
rem  ##
rem  ###########################################################

:COMMON
set SCRIPTPATH=c:\opt\catia\Scripts
set CATIAPATH=c:\opt\catia
set Context=CATIA_DEFAULT
set ENV_FILE=CATIA_Default

echo ###########################################################
echo ##        Launch Utility for CATIA V5 Scripts            ##
echo ##                                                       ##  
echo ##                  08.01.2008                           ##
echo ##                by Maximilianus                        ##
echo ##               http://www.CAD.de                       ##  
echo ##                      v3                               ##
echo ##                                                       ##
echo ##                  STARTOPTIONS                         ##
echo ##                                                       ##
echo ## CATIA V5 R14    Taste 1                               ##
echo ## CATIA V5 R15    Taste 2                               ##
echo ## CATIA V5 R16    Taste 3                               ##
echo ## CATIA V5 R17    Taste 4                               ##
echo ## CATIA V5 R18    Taste 5                               ##
echo ##                                                       ##  
echo ## Beenden         Taste q                               ##
echo ##                                                       ##  
echo ###########################################################
echo Treffen Sie bitte jetzt
set /p abfrage=Ihre Auswahl: 

if "%abfrage%" == "1" goto r14
if "%abfrage%" == "2" goto r15
if "%abfrage%" == "3" goto r16
if "%abfrage%" == "4" goto r17
if "%abfrage%" == "5" goto r18
if "%abfrage%" == "q" exit

exit

:r14
set CatiaVersion=v5r14
goto COMMON2

:r15
set CatiaVersion=v5r15
goto COMMON2

:r16
set CatiaVersion=v5r16
goto COMMON2

:r17
set CatiaVersion=v5r17
goto COMMON2

:r18
set CatiaVersion=v5r18
goto COMMON2

:COMMON2
set USER_HOME=C:\Catia_Data\%CatiaVersion%\%USERNAME%
set ENV_DIR=%CATIAPATH%\Scripts
set LIZENZPFAD=%USER_HOME%\%Context%\CATSettingsSC\Licensing.CATSettings

If Not Exist %CATIAPATH%\%CatiaVersion% goto CATIAVERSIONERROR
If Not Exist %LIZENZPFAD% goto START_CATIA_ONLY
goto START_SCRIPT

:CATIAVERSIONERROR
echo !!!!!!
echo CATIA %CatiaVersion% ist auf diesem Rechner nicht installiert!
echo Bitte treffen Sie eine neue Auswahl:
echo !!!!!
goto COMMON

REM ##############---- START_CATIA_ONLY_----####################

:START_CATIA_ONLY

echo ###########################################################
echo ##                                                       ##
echo ## Es wird CATIA V5 gestartet.                           ##  
echo ## Aktivieren Sie die CATIA-Lizenz und beenden Sie CATIA ##
echo ## Anschliessend startet das Script automatisch.         ##
echo ##                                                       ##
echo ###########################################################

"%CATIAPATH%\%CatiaVersion%\intel_a\code\bin\CATSTART.exe" -run cnext -env %ENV_FILE% -direnv %ENV_DIR%

:START_SCRIPT

echo ###########################################################
echo ##                                                       ##
echo ##                 Script-Auswahl                        ##  
echo ##                                                       ##  
echo ##                 STARTOPTIONEN                         ##
echo ##                                                       ##  
echo ## CATDrawing2DWG    Taste 1                             ##
echo ## CATDrawing2DXF    Taste 2                             ##
echo ## CATDrawing2PDF    Taste 3                             ##
echo ## CATDrawing2TIF    Taste 4                             ##
echo ## CATIA V5          Taste 5                             ##
echo ## CATDrawingUpdate  Taste 6                             ##
echo ##                                                       ##
echo ## Beenden           Taste q                             ##
echo ##                                                       ##  
echo ###########################################################
echo Treffen Sie bitte jetzt
set /p abfrage=Ihre Auswahl: 

if "%abfrage%" == "1" goto CATDrawing2DWG
if "%abfrage%" == "2" goto CATDrawing2DXF
if "%abfrage%" == "3" goto CATDrawing2PDF
if "%abfrage%" == "4" goto CATDrawing2TIF
if "%abfrage%" == "5" goto CATIA_V5
if "%abfrage%" == "6" goto CATDrawingUpdate
if "%abfrage%" == "q" exit

exit

:CATDrawing2DWG
echo ###########################################################
echo ##                                                       ##
echo ## Drawing2DWG fuer CATIA V5 wird gestartet...           ##  
echo ##                                                       ##
echo ########################################################### 
xcopy /Y %SCRIPTPATH%\progress-templateDWG.htm %SCRIPTPATH%\progressDWG.htm
xcopy /Y %SCRIPTPATH%\progressstart-templateDWG.htm %SCRIPTPATH%\progressstartDWG.htm
echo System Status:
echo Script running...
start iexplore %SCRIPTPATH%\progressstartDWG.htm
%CATIAPATH%\%CatiaVersion%\intel_a\code\bin\cnext -batch -env %ENV_FILE% -direnv %ENV_DIR% -macro "%SCRIPTPATH%\Drawing2DWG-DeepStructure_v1.CATScript"

goto ENDOFSCRIPT


:CATDrawing2DXF
echo ###########################################################
echo ##                                                       ##
echo ## Drawing2DXF fuer CATIA V5 wird gestartet...           ##  
echo ##                                                       ##
echo ########################################################### 
xcopy /Y %SCRIPTPATH%\progress-templateDXF.htm %SCRIPTPATH%\progressDXF.htm
xcopy /Y %SCRIPTPATH%\progressstart-templateDXF.htm %SCRIPTPATH%\progressstartDXF.htm
echo System Status:
echo Script running...
start iexplore %SCRIPTPATH%\progressstartDXF.htm
%CATIAPATH%\%CatiaVersion%\intel_a\code\bin\cnext -batch -env %ENV_FILE% -direnv %ENV_DIR% -macro "%SCRIPTPATH%\Drawing2DXF-DeepStructure_v1.CATScript"

goto ENDOFSCRIPT

:CATDrawing2PDF
echo ###########################################################
echo ##                                                       ##
echo ## Drawing2PDF fuer CATIA V5 wird gestartet...           ##  
echo ##                                                       ##
echo ########################################################### 
xcopy /Y %SCRIPTPATH%\progress-templatePDF.htm %SCRIPTPATH%\progressPDF.htm
xcopy /Y %SCRIPTPATH%\progressstart-templatePDF.htm %SCRIPTPATH%\progressstartPDF.htm
echo System Status:
echo Script running...
start iexplore %SCRIPTPATH%\progressstartPDF.htm
%CATIAPATH%\%CatiaVersion%\intel_a\code\bin\cnext -batch -env %ENV_FILE% -direnv %ENV_DIR% -macro "%SCRIPTPATH%\Drawing2PDF-DeepStructure_v10.CATScript"

goto ENDOFSCRIPT

:CATDrawing2TIF
echo ###########################################################
echo ##                                                       ##
echo ## Drawing2TIF fuer CATIA V5 wird gestartet...           ##  
echo ##                                                       ##
echo ########################################################### 
xcopy /Y %SCRIPTPATH%\progress-template.htm %SCRIPTPATH%\progress.htm
xcopy /Y %SCRIPTPATH%\progressstart-template.htm %SCRIPTPATH%\progressstart.htm
echo System Status:
echo Script running...
start iexplore %SCRIPTPATH%\progressstart.htm
%CATIAPATH%\%CatiaVersion%\intel_a\code\bin\cnext -batch -env %ENV_FILE% -direnv %ENV_DIR% -macro "%SCRIPTPATH%\Drawing2TIF-DeepStructure_v10.CATScript"

goto ENDOFSCRIPT

:CATIA_V5
echo ###########################################################
echo ##                                                       ##
echo ## CATIA V5 wird gestartet.                              ##  
echo ## Sie koennen z.B. Settings aendern.                    ##
echo ##                                                       ##
echo ###########################################################
echo System Status:
echo CATIA V5 %CatiaVersion% running...
%CATIAPATH%\%CatiaVersion%\intel_a\code\bin\CATSTART.exe -run cnext -env %ENV_FILE% -direnv %ENV_DIR%

goto ENDOFSCRIPT

:CATDrawingUpdate
echo ############################################################
echo ##                                                        ##
echo ## Vorbereitung und Durchfuehrung:                        ##  
echo ## 1. Other Folders auf Quellverzeichnisse konfigurieren. ##
echo ##    CATIA wid jetzt gestartet, bitte Other Folders      ##
echo ##    konfigurieren und CATIA beenden                     ##
echo ##                                                        ##
echo ##   ...weiter mit beliebiger Taste                       ##
echo ############################################################
pause

%CATIAPATH%\%CatiaVersion%\intel_a\code\bin\CATSTART.exe -run cnext -env %ENV_FILE% -direnv %ENV_DIR%

echo ############################################################
echo ##                                                        ##
echo ## 2. Quellverzeichnisse angeben, in das Rootdirectory    ##
echo ##    wird ein Logfile geschrieben.                       ##
echo ## 3. JEDE CATDrawing wird upgedatet und neu gespeichert! ##
echo ##    Wird eine zweite CATDrawing mit gleichem Namen      ##
echo ##    gefunden, wird diese nicht bearbeitet.              ##
echo ##   ...weiter mit beliebiger Taste                       ##
echo ############################################################
pause

echo ############################################################
echo ##                                                        ##
echo ## DrawingUpdate fuer CATIA V5 wird gestartet...          ##  
echo ##                                                        ##
echo ############################################################

xcopy /Y %SCRIPTPATH%\progress-templateUpdate.htm %SCRIPTPATH%\progressUpdate.htm
xcopy /Y %SCRIPTPATH%\progressstart-templateUpdate.htm %SCRIPTPATH%\progressstartUpdate.htm
echo System Status:
echo Script running...

start iexplore %SCRIPTPATH%\progressstartUpdate.htm
%CATIAPATH%\%CatiaVersion%\intel_a\code\bin\cnext -batch -env %ENV_FILE% -direnv %ENV_DIR% -macro "%SCRIPTPATH%\Drawing-Update-DeepStructure_v13.CATScript" 

:ENDOFSCRIPT
echo System Status:
echo Script finished...


goto COMMON
